Skip to navigation

Retrieve invoices

Lists the invoices the caller can access, returning only paid and refunded invoices by default. Use GET /invoices/deel for Deel platform fee invoices, GET /billing/invoices for credit notes, and GET /invoices/{invoice_id} when you already hold an invoice id.

Token scopes: accounting:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

issued_from_datestringOptional
Filter invoices issued on or after the specified date.
issued_to_datestringOptional
Filter invoices issued before the specified date.
statusenumOptional
If status query has value of all, all invoices will be returned. Otherwise only paid invoices will be fetched.
Allowed values:
limitdoubleOptional1-50Defaults to 25
Number of records to retrieve per page.
offsetlongOptional0-999999999Defaults to 0
Index of the first record to return.
cursorstringOptional
Return next page of results after the given cursor.
includeenumOptional
Will include invoices from COR workers in the response.
Allowed values:

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error